Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.declarativa.interprolog
Class GNUPeer

    java.lang.Object
      com.declarativa.interprolog.PrologImplementationPeer
          com.declarativa.interprolog.GNUPeer

public class GNUPeer
extends PrologImplementationPeer

Field Summary

Fields inherited from class com.declarativa.interprolog.PrologImplementationPeer
`REGULAR_PROMPT`

Constructor Summary
`GNUPeer(AbstractPrologEngine engine)`

Method Summary
`String[]` | `alternativePrologExtensions(String filename)` Demmand .pl
`String` | `executablePath(String d)`
`String` | `fetchPrologNumericVersion()`
`String` | `getBinDirectoryProperty(Properties p)`
`String` | `interprologFilename()` Returns the path for the Prolog file that must be loaded for InterProlog to function, USING '/' AS THE SEPARATION CHARACTER independently of the OS platform
`boolean` | `isInterrupt(Object error)` True if an error, as obtained in a ResultFromProlog object, looks like an interrupt detection on the Prolog side, cf. predicate handleDeterministicGoal in interprolog.P/pl/etc. resultError is not null
`Recognizer` | `makeBreakRecognizer()`
`Recognizer` | `makePromptRecognizer()`
`String` | `prologBinToBaseDirectory(String binDirectoryOrStartCommand)` Assumes that Prolog options can not include "/bin/"...
`String` | `unescapedFilePath(String p)` Some Prologs use '\' as an escape character in atoms, which can affect file paths under Windows.
`String` | `visualizationFilename()` Returns the path for the Prolog file that must be loaded for InterProlog's visualization predicates to function, typically in the context of using a ListenerWindow.

Methods inherited from class com.declarativa.interprolog.PrologImplementationPeer
`executablePath, getOperators, getPrologNumericVersion, getPrologVersion`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GNUPeer

    public GNUPeer(AbstractPrologEngine engine)

Method Detail

### getBinDirectoryProperty

    public String getBinDirectoryProperty(Properties p)

  Specified by:
    `getBinDirectoryProperty` in class `PrologImplementationPeer`

### executablePath

    public String executablePath(String d)

  Specified by:
    `executablePath` in class `PrologImplementationPeer`

### fetchPrologNumericVersion

    public String fetchPrologNumericVersion()

### alternativePrologExtensions

    public String[] alternativePrologExtensions(String filename)

  Demmand .pl

  Specified by:
    `alternativePrologExtensions` in class `PrologImplementationPeer`

### prologBinToBaseDirectory

    public String prologBinToBaseDirectory(String binDirectoryOrStartCommand)

  Assumes that Prolog options can not include "/bin/"...

  Specified by:
    `prologBinToBaseDirectory` in class `PrologImplementationPeer`

### makePromptRecognizer

    public Recognizer makePromptRecognizer()

  Specified by:
    `makePromptRecognizer` in class `PrologImplementationPeer`

### makeBreakRecognizer

    public Recognizer makeBreakRecognizer()

  Specified by:
    `makeBreakRecognizer` in class `PrologImplementationPeer`

### interprologFilename

    public String interprologFilename()

  Description copied from class: `PrologImplementationPeer`
  Returns the path for the Prolog file that must be loaded for InterProlog to function, USING '/' AS THE SEPARATION CHARACTER independently of the OS platform

  Specified by:
    `interprologFilename` in class `PrologImplementationPeer`

### visualizationFilename

    public String visualizationFilename()

  Description copied from class: `PrologImplementationPeer`
  Returns the path for the Prolog file that must be loaded for InterProlog's visualization predicates to function, typically in the context of using a ListenerWindow. Although the file is common for all Prologs, some (eg XSB) have a compiled form, others do not

  Specified by:
    `visualizationFilename` in class `PrologImplementationPeer`

### unescapedFilePath

    public String unescapedFilePath(String p)

  Description copied from class: `PrologImplementationPeer`
  Some Prologs use '\' as an escape character in atoms, which can affect file paths under Windows. Use this method to preprocess all file paths passed to Prolog. this default implementation does no preprocessing, subclasses should define their own if needed

  Overrides:
    `unescapedFilePath` in class `PrologImplementationPeer`

### isInterrupt

    public boolean isInterrupt(Object error)

  Description copied from class: `PrologImplementationPeer`
  True if an error, as obtained in a ResultFromProlog object, looks like an interrupt detection on the Prolog side, cf. predicate handleDeterministicGoal in interprolog.P/pl/etc. resultError is not null

  Specified by:
    `isInterrupt` in class `PrologImplementationPeer`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD